当前位置:论坛首页 > Linux面板 > 建议

【待反馈】更新Let's Encrypt 根证书(Root CA)

发表在 Linux面板2021-10-12 18:27 [复制链接] 6 207

Let's Encrypt 品牌 SSL 证书根证书于2021年9月30日停用旧版根证书(Root CA),宝塔的Let's Encrypt 证书会跟着更新吗?Openssl 版本可以更新一下吗?太旧了。
使用道具 举报 只看该作者 回复
发表于 2021-10-12 18:30:58 | 显示全部楼层
你好,请将宝塔面板更新到最新版本,7.7.0之后申请的证书不会受此影响

openssl是什么版本?
使用道具 举报 回复 支持 反对
发表于 2021-10-15 14:38:16 | 显示全部楼层
堡塔安全赤井秀一 发表于 2021-10-12 18:30
你好,请将宝塔面板更新到最新版本,7.7.0之后申请的证书不会受此影响

openssl是什么版本? ...

我把宝塔升级到最新版本,openssl版本显示是1.0.2k,2017年的,能升级下吗?
使用道具 举报 回复 支持 反对
发表于 2021-10-15 14:54:58 | 显示全部楼层
宝塔用户_hypufp 发表于 2021-10-15 14:38
我把宝塔升级到最新版本,openssl版本显示是1.0.2k,2017年的,能升级下吗?
  1. mkdir -p /etc/pki/tls/certs
  2. wget -O /etc/pki/tls/certs/ca-bundle.crt https://curl.se/ca/cacert.pem
  3. chmod 444 /etc/pki/tls/certs/ca-bundle.crt
复制代码

您到服务器上执行下这个命令,就是清楚之前过期的服务器根证书
使用道具 举报 回复 支持 反对
发表于 2021-11-24 16:45:55 | 显示全部楼层
大炮运维V587 发表于 2021-10-15 14:54
您到服务器上执行下这个命令,就是清楚之前过期的服务器根证书

这个指令无法正常运行,我下载cacert.pem然后把里面的内容复制到ca-bundle.crt,手动把权限改为444。 可是我使用wordpress 的 wp rocket 插件生成关键CSS出错,我把ca-bundle.crt 里面的内容都删除后(变成空白)wp rocket 插件能正常生成关键CSS。我是不是哪里没操作对?
使用道具 举报 回复 支持 反对
发表于 2021-11-24 16:58:54 | 显示全部楼层
Diiamo 发表于 2021-11-24 16:45
这个指令无法正常运行,我下载cacert.pem然后把里面的内容复制到ca-bundle.crt,手动把权限改为444。 可 ...

生成css的时候有没有日志记录?有的话看下日志记录是什么错误
使用道具 举报 回复 支持 反对
发表于 2021-11-25 15:10:49 | 显示全部楼层
大炮运维V587 发表于 2021-11-24 16:58
生成css的时候有没有日志记录?有的话看下日志记录是什么错误

提示没有找到CSS样式。之前出现过一次这个错误,我弄好重定向到www就解决了。这次不行。
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表